PHP Manual
Prev |  | Next

# class_parents

(PHP 5)

class_parents -- Return the parent classes of the given class

## Description

array class_parents ( mixed class [, bool autoload] )

This function returns an array with the name of the parent classes of the given class.

## Parameters

class

  An object (class instance) or a string (class name).

autoload

  Whether to allow this function to load the class automatically through the __autoload magic method. Defaults to `TRUE`.

## Return Values

Returns an array or `FALSE` on error.

## ChangeLog

Version | Description
--- | ---
5.1.0 | Added the option to pass the class parameter as a string. Added the autoload parameter.

## Examples

Example 1. class_parents() example

`<?php class foo { } class bar extends foo {} print_r(class_parents(new bar)); // since PHP 5.1 you may also specify the parameter as a string print_r(class_parents('bar')); function __autoload($class_name) { require_once $class_name . '.php'; } // use __autoload to load the 'not_loaded' class print_r(class_parents('not_loaded', true)); ?>`

The above example will output something similar to:

    Array
    (
        [foo] => foo
    )

    Array
    (
        [parent_of_not_loaded] => parent_of_not_loaded
    )

## See Also

class_implements()

Prev | Home | Next
class_implements | Up | iterator_count